#!/bin/bash

attrib() {
    key=$1
    shift
    echo -n ">> "
    grep "$key" rectest.out | grep "$*"
}

run() {
    ./dist/build/cmdlib-rectest/cmdlib-rectest "$@" > rectest.out
}

set -ev

run pull --intersection
attrib httpPipelining True
attrib intersection True
attrib sshCm False

run pull --ssh-cm=yes
attrib sshCm True

run pull --ssh-cm
attrib sshCm True

run pull --no-http-pipelining
attrib httpPipelining False

run record --author "Au" -A "Author"
attrib author Author
run record -A "Author" --author 'TehAuthor!'
attrib author TehAuthor

run record foo bar
attrib non-options foo bar
run record foo bar --author me blah
attrib non-options foo bar blah
attrib author me

rm rectest.out
